Subject: bug#52328: 27.2; [DOC] Paragraph about quit-restore-window

From: Richard Stallman <[email-masked]>
Date: Fri, 10 Dec 2021 23:06:54 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > It's the "way to do this" only if the window used by 'display-buffer' is
  > selected at the time the user wants to get rid of it.  Otherwise, the
  > options you now do not mention should be used.

I don't understand what that refers to.

  > Note that you have to finish the description of 'quit-window' before
  > describing 'quit-restore-window'.  The arguments you describe below
  > (like 'bury-or-kill') belong to 'quit-window'.

I did not delete any arguments from the description of `quit-window'.
And it does not seem to have an argument called BURY-OR-KILL.
What, specifically, is missing?

  > No.  For example, a dedicated window is deleted without consulting the
  > 'quit-restore' parameter in the first place.  Handling dedicated windows
  > was always a mystery for me, so the prior description might be far from
  > accurate.  One idea of the 'quit-restore' parameter was to get rid of
  > dedicated windows but that was an obstacle I never succeeded to handle.

I don't know what to say about that case, so I will leave the comment
with the question.

  >  > @c ??? Is this fully correct?

  > I think that saying "to do the right thing" is a way to work around
  > answering that question.  For me 'frame-auto-hide-function' was a
  > misguided attempt to work around a request by Drew to not iconify a
  > frame after quitting its only window (IIRC).  Since it deals with
  > dedicated windows I cannot say much about it.

I don't understand that comment.  The question is not about whether
this feature is useful, or whether it ought to be changed.  It's
whether the text in the manual is correct or not.  Can anyone tell?

It is possible to consider changing this featurelet, or deleting it,
but I'm not proposing either of those.  Just working on the manual.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)